<template>
  <div class="panel-component">
    Witaj
    <b>{{ props.nick }}</b>
    <q-img :src="props.image" spinner-color="white" />
  </div>
</template>
<script lang="ts" setup>
defineOptions({
  name: 'PanelComponent',
});
export interface PanelComponentProps {
  nick: string;
  image: string;
}

const props = withDefaults(defineProps<PanelComponentProps>(), {});
</script>
<style lang="scss" scoped>
.panel-component {
  margin-right: 53px;
  color: rgba(50, 50, 50, 0.7);
  b {
    color: rgba(20, 20, 20, 0.9);
    q-img {
      height: 80px;
      max-width: 80px;
    }
  }
}
</style>
